%define nm_version 1.0.4
%define pptp 1
%define openswan 0
%define openvn 1
%define vpnc 1
%define openconnect 1
%define l2tp 1
%define strongswan 0




Name:    plasma-nm
Summary: Plasma 5 applet written in QML for managing network connections
Version: 5.12.4
Release: %mkrel 1
Group:   Graphical desktop/KDE5
License: GPLv2 and LGPLv2+
URL:     https://projects.kde.org/projects/playground/network/plasma-nm
Source0: http://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Conflicts: networkmanager-applet
BuildRequires: %{_lib}nm-devel
BuildRequires: modemmanager-devel
BuildRequires: mobile-broadband-provider-info
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: ki18n-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kservice-devel
BuildRequires: kcompletion-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kio-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kwallet-devel
BuildRequires: kitemviews-devel
BuildRequires: kxmlgui-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kiconthemes-devel
BuildRequires: solid-devel
BuildRequires: kdbusaddons-devel
BuildRequires: knotifications-devel
BuildRequires: plasma-framework-devel
BuildRequires: kdeclarative-devel
BuildRequires: kinit-devel
BuildRequires: kdelibs4support-devel

BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}networkmanager-qt-devel
BuildRequires: %{_lib}qca2-qt5-devel

%if %openconnect
BuildRequires:  openconnect-devel >= 3.99
%endif



%description
Plasma 5 applet written in QML for managing network connections

#--------------------------------------------------------------------

%package -n plasma-applet-nm
Summary:  NetworkManager Plasma 5 applet
Group:    Graphical desktop/KDE5
Requires: networkmanager >= %nm_version
Conflicts: drakx-net-applet

%description -n plasma-applet-nm
Network Management Plasma 5 applet for controlling network
connections on systems that use the NetworkManager service


%files  -n plasma-applet-nm -f %name.lang
%_kf5_libdir/libplasmanm_editor.so
%_kf5_libdir/libplasmanm_internal.so
%_kf5_qmldir/org/kde/plasma/networkmanagement
%_kf5_plugindir/kded/networkmanagement.so
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.networkmanagement
%_kf5_knotificationsdir/networkmanagement.notifyrc
%_kf5_services/plasma-applet-org.kde.plasma.networkmanagement.desktop
%_kf5_datadir/metainfo

%_kf5_libdir/qt5/plugins/kcm_networkmanagement.so
%_kf5_libdir/qt5/plugins/libplasmanetworkmanagement_iodineui.so

%_kf5_datadir/kcm_networkmanagement/qml/ConnectionItem.qml
%_kf5_datadir/kcm_networkmanagement/qml/Dialog.qml
%_kf5_datadir/kcm_networkmanagement/qml/Header.qml
%_kf5_datadir/kcm_networkmanagement/qml/ListItem.qml
%_kf5_datadir/kcm_networkmanagement/qml/main.qml
%_kf5_datadir/kservices5/kcm_networkmanagement.desktop
%_kf5_datadir/kservices5/plasmanetworkmanagement_iodineui.desktop
%_kf5_datadir/kservices5/plasmanetworkmanagement_openconnect_juniperui.desktop

%_kf5_libdir/qt5/plugins/libplasmanetworkmanagement_fortisslvpnui.so
%_kf5_datadir/kservices5/plasmanetworkmanagement_fortisslvpnui.desktop
%_kf5_datadir/locale
   
#--------------------------------------------------------------------

%if %{openvn}
%package  -n plasma-applet-nm-openvpn
Summary:  OpenVPN plugin for Plasma 5 NetworkManager
Group:    Graphical desktop/KDE5
Requires: networkmanager-openvpn
Conflicts: drakx-net-applet

%description -n plasma-applet-nm-openvpn
%{summary}.

%files  -n plasma-applet-nm-openvpn -f plasmanetworkmanagement_openvpnui.lang
%_qt5_plugindir/libplasmanetworkmanagement_openvpnui.so
%_kf5_services/plasmanetworkmanagement_openvpnui.desktop
%_kf5_servicetypes/plasma-networkmanagement-vpnuiplugin.desktop
%endif

#--------------------------------------------------------------------

%if %{l2tp}

%package  -n plasma-applet-nm-l2tp
Summary:  L2tp plugin for Plasma 5 NetworkManager
Group:    Graphical desktop/KDE5
Requires: networkmanager-l2tp
Conflicts: drakx-net-applet

%description -n plasma-applet-nm-l2tp
%{summary}.

%files  -n plasma-applet-nm-l2tp  -f plasmanetworkmanagement_l2tpui.lang
%_qt5_plugindir/libplasmanetworkmanagement_l2tpui.so
%_kf5_services/plasmanetworkmanagement_l2tpui.desktop
%endif

#--------------------------------------------------------------------

%if %{pptp}

%package  -n plasma-applet-nm-pptp
Summary:  Pptp plugin for Plasma 5 NetworkManager
Group:    Graphical desktop/KDE5
Requires: networkmanager-pptp
Conflicts: drakx-net-applet

%description  -n plasma-applet-nm-pptp
%{summary}.

%files  -n plasma-applet-nm-pptp -f plasmanetworkmanagement_pptpui.lang 
%_kf5_services/plasmanetworkmanagement_pptpui.desktop
%_qt5_plugindir/libplasmanetworkmanagement_pptpui.so
%endif

#--------------------------------------------------------------------

%if %{openswan}

%package -n plasma-applet-nm-openswan
Summary: OpenSwan plugin for Plasma 5 NetworkManager
Group:  Graphical desktop/KDE5
Requires: networkmanager-openswan
Conflicts: drakx-net-applet

%description -n plasma-applet-nm-openswan
%{summary}.

%files  -n plasma-applet-nm-openswan -f plasmanetworkmanagement_openswanui.lang
%_qt5_plugindir/libplasmanetworkmanagement_openswanui.so
%_kf5_services/plasmanetworkmanagement_openswanui.desktop
/usr/share/locale/*/LC_MESSAGES/plasmanetworkmanagement_openconnectui.mo
%endif


#--------------------------------------------------------------------

%if %{strongswan}

%package -n plasma-applet-nm-strongswan
Summary: Strongswanui plugin for Plasma 5 NetworkManager
Group:  Graphical desktop/KDE5
Requires: networkmanager-strongswan
Conflicts: drakx-net-applet

%description -n plasma-applet-nm-strongswan
%{summary}.

%files  -n plasma-applet-nm-strongswan -f plasmanetworkmanagement_strongswanui.lang
%_qt5_plugindir/libplasmanetworkmanagement_strongswanui.so
%_kf5_services/plasmanetworkmanagement_strongswanui.desktop
%endif

#--------------------------------------------------------------------

%if %{vpnc}

%package  -n plasma-applet-nm-vpnc
Summary:  Vpnc plugin for Plasma 5 NetworkManager
Group:    Graphical desktop/KDE5 
Requires: networkmanager-vpnc
Conflicts: drakx-net-applet

%description -n plasma-applet-nm-vpnc
%{summary}.

%files  -n plasma-applet-nm-vpnc  -f plasmanetworkmanagement_vpncui.lang
%_qt5_plugindir/libplasmanetworkmanagement_vpncui.so
%_kf5_services/plasmanetworkmanagement_vpncui.desktop
%endif

#-------------------------------------------------------------------

%if %{openconnect}
%package -n plasma-applet-nm-openconnect
Summary:  Openconnect plugin for Plasma 5 NetworkManager
Group:    Graphical desktop/KDE5
Requires: networkmanager-openconnect
Conflicts: drakx-net-applet

%description -n plasma-applet-nm-openconnect
%{summary}.

%files -n plasma-applet-nm-openconnect -f plasmanetworkmanagement_openconnectui.lang
%_qt5_plugindir/libplasmanetworkmanagement_openconnectui.so
%_kf5_services/plasmanetworkmanagement_openconnectui.desktop
%endif

#-------------------------------------------------------------------

%package -n plasma-applet-nm-ssh
Summary:  SSH plugin for Plasma 5 NetworkManager
Group:    Graphical desktop/KDE5
Requires: networkmanager-openconnect
Conflicts: drakx-net-applet

%description -n plasma-applet-nm-ssh
%{summary}.

%files -n plasma-applet-nm-ssh -f plasmanetworkmanagement_sshui.lang
%_qt5_plugindir/libplasmanetworkmanagement_ssh*.so
%_qt5_plugindir/libplasmanetworkmanagement_sstpui.so
%_kf5_services/plasmanetworkmanagement_sstpui.desktop
%_kf5_services/plasmanetworkmanagement_ssh*.desktop

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5 -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=OFF
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

%if ! %{l2tp}
rm %{buildroot}%{_qt5_plugindir}/libplasmanetworkmanagement_l2tpui.so
rm %{buildroot}%{_kf5_services}/plasmanetworkmanagement_l2tpui.desktop
rm %{buildroot}%{_kf5_datadir}/locale/*/LC_MESSAGES/plasmanetworkmanagement_l2tpui.mo
%endif

%if ! %{openswan}
rm %{buildroot}%{_qt5_plugindir}/libplasmanetworkmanagement_openswanui.so
rm %{buildroot}%{_kf5_services}/plasmanetworkmanagement_openswanui.desktop
rm %{buildroot}%{_kf5_datadir}/locale/*/LC_MESSAGES/plasmanetworkmanagement_openswanui.mo
%endif

%if ! %{strongswan}
rm %{buildroot}%{_qt5_plugindir}/libplasmanetworkmanagement_strongswanui.so
rm %{buildroot}%{_kf5_services}/plasmanetworkmanagement_strongswanui.desktop
rm %{buildroot}%{_kf5_datadir}/locale/*/LC_MESSAGES/plasmanetworkmanagement_strongswanui.mo
%endif

%find_lang %{name} \
    kde5-nm-connection-editor \
    plasma_applet_org.kde.plasma.networkmanagement \
    plasmanetworkmanagement-kded \
    plasmanetworkmanagement-libs
%find_lang plasmanetworkmanagement_l2tpui
%find_lang plasmanetworkmanagement_openconnectui
%find_lang plasmanetworkmanagement_vpncui
%find_lang plasmanetworkmanagement_strongswanui
%find_lang plasmanetworkmanagement_pptpui
%find_lang plasmanetworkmanagement_openvpnui
%find_lang plasmanetworkmanagement_openswanui
%find_lang plasmanetworkmanagement_sshui plasmanetworkmanagement_sstpui 


%changelog
* Tue Mar 27 2018 bb2 <bb2> - 5.12.4-1pclos2018
- new version

* Tue Mar 06 2018 bb2 <bb2> - 5.12.3-1pclos2018
- new version

* Wed Feb 21 2018 bb2 <bb2> - 5.12.2-1pclos2018
- new version

* Wed Feb 14 2018 bb2 <bb2> - 5.12.1-1pclos2018
- new version

* Wed Feb 07 2018 bb2 <bb2> - 5.12.0-1pclos2018
- new version

* Tue Jan 02 2018 tex - 5.11.5-1pclos2018
- new version

* Sat Dec 09 2017 bb2 <bb2> - 5.11.4-2pclos2017
- rebuild against updates

* Wed Nov 29 2017 bb2 <bb2> - 5.11.4-1pclos2017
- new version

* Sun Nov 12 2017 bbs <bb2> - 5.11.3-2pclos2017
- add conflict to networkmanager-applet

* Tue Nov 07 2017 bb2 <bb2> - 5.11.3-1pclos2017
- new version

* Tue Oct 24 2017 bb2 <bb2> - 5.11.2-1pclos2017
- new version

* Wed Oct 18 2017 bb2 <bb2> - 5.11.1-1pclos2017
- new version

* Tue Oct 10 2017 bb2 <bb2> - 5.11.0-1pclos2017
- new version

* Sun Oct 08 2017 bb2 <bb2> - 5.10.95-1pclos2017
- new version

* Thu Aug 24 2017 bb2 <bb2> - 5.10.5-1pclos2017
- new version

* Wed Jul 19 2017 bb2 <bb2> - 5.10.4-1pclos2017
- new version

* Tue Jun 27 2017 bb2 <bb2> - 5.10.3-1pclos2017
- new version

* Wed Jun 14 2017 bb2 <bb2> - 5.10.2-1pclos2017
- new version

* Tue Jun 06 2017 bb2 <bb2> - 5.10.1-1pclos2017
- new version

* Tue Jun 06 2017 bb2 <bb2> - 5.10.0-1pclos2017
- new version

* Wed May 24 2017 bb2 <bb2> - 5.8.7-1pclos2017
- new version

* Tue Feb 21 2017 tex - 5.8.6-1pclos2017
- new version

* Wed Dec 28 2016 bb <bb> - 5.8.5-1pclos2017
- new version

